//+------------------------------------------------------------------+
//|                                                 VZO.mq4 |
//|                               Copyright  2012, Gehtsoft USA LLC |
//|                                            http://fxcodebase.com |
//+------------------------------------------------------------------+
#property copyright "Copyright  2012, Gehtsoft USA LLC"
#property link      "http://fxcodebase.com"

#property indicator_separate_window
#property indicator_minimum -100
#property indicator_maximum 100

#property indicator_buffers 1
#property indicator_color1 Orange
#property indicator_width1 3
#property indicator_level1 60
#property indicator_level2 40
#property indicator_level3 0
#property indicator_level4 -40
#property indicator_level5 -60


extern int Period1=14;
extern double OB=40;
extern double OS=-40; 
extern double XOB=60;
extern double XOS=-60;

double VZO[];
double VPA[];
double VA[];
double VP[];
double VOL[];
int init()
  {
  
    IndicatorBuffers(5);
	
   IndicatorShortName("VZO");
   IndicatorDigits(Digits);
   SetIndexStyle(0,DRAW_LINE);
   
   SetIndexBuffer(0,VZO);  
   SetIndexBuffer(1,VPA);
   SetIndexBuffer(2,VA);
   SetIndexBuffer(3,VP);   
   SetIndexBuffer(4,VOL);
   
   
      int windowIndex=WindowFind("VZO");
   // finding the window number of our indicator
   
   if(windowIndex<0)
   {
      // if the number is -1, there is an error
      Print("Can\'t find window");
      return(0);
   }  
 
   ObjectCreate("OB",OBJ_HLINE,windowIndex,0,OB);
   ObjectCreate("OS",OBJ_HLINE,windowIndex,0,OS);
   ObjectCreate("EOB",OBJ_HLINE,windowIndex,0,XOB);
   ObjectCreate("EOS",OBJ_HLINE,windowIndex,0,XOS);
   // drawing a line in the indicator subwindow
               
   ObjectSet("OB",OBJPROP_COLOR,Red);
   ObjectSet("OB",OBJPROP_WIDTH,2);
   
   ObjectSet("OS",OBJPROP_COLOR,Green);
   ObjectSet("OS",OBJPROP_WIDTH,2);
   
   ObjectSet ("XOB",OBJPROP_COLOR, Gray);
   ObjectSet ("XOB",OBJPROP_WIDTH,1);
   
   ObjectSet ("XOS",OBJPROP_COLOR, Gray);
   ObjectSet ("XOS",OBJPROP_WIDTH, 1);
 
   WindowRedraw();      
   // redraw the window to see the line
   
   
   return(0);
  }

int deinit()
  {
  
   ObjectsDeleteAll();
   // delete all objects
  
  
   return(0);
  }

int start()
 {
     int ExtCountedBars=IndicatorCounted();
	 if (ExtCountedBars<0) return(0);
	 
	 int limit=Bars;
	
     int i;
	 
	 
	  for( i=limit-1; i>=0; i--)
	   {
	   
	   VOL[i]= Volume[i];
	   }
	 
	
	   for( i=limit-1; i>=0; i--)
	   {
	        if (Close[i]>Close[i+1])
			{
			VP[i]=Volume[i];
			}
			else
			{
			VP[i]=-Volume[i];
			}			
	  } 
	  
	     for( i=limit-1; i>=0; i--)
	   {
	   
	     VPA[i] = iMAOnArray(VP,0,Period1,0,1,i);
	       
	  } 
	  
	     for( i=limit-1; i>=0; i--)
	   {
	   
	    VA[i] = iMAOnArray(VOL,0,Period1,0,1,i);
	       
	  } 
	  
	  
	  
  
	   for(i=limit-Period1*2 ; i>=0; i--)
	    {	  
		if (VA[i]!=0)	VZO[i]=(VPA[i]/VA[i])*100;
		
		}
		
		  int windowIndex=WindowFind("VZO");
         // finding the window number of our indicator
   
   if(windowIndex<0)
   {
      // if the number is -1, there is an error
      Print("Can\'t find window");
      return(0);
   }  
		
	
 

 return(0);
}

